cURL
curl --request DELETE \
--url https://api.finosu.com/customers/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.finosu.com/customers/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.finosu.com/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "[email protected]",
"birthday": "2023-12-25",
"ssnLastFour": "<string>",
"timezone": "<string>",
"phoneNumber": "<string>",
"streetAddress1": "<string>",
"streetAddress2": "<string>",
"city": "<string>",
"state": "<string>",
"zipCode": "<string>",
"doNotCall": true,
"isTest": true,
"taskType": "<string>",
"externalMetadata": {}
}{
"error": 123,
"message": "<string>"
}Customers
Delete Customer
Deletes a customer
DELETE
/
customers
/
{id}
cURL
Authorizations
Path Parameters
ID of customer to delete
Response
Customer response
Unique identifier for the customer. This is your customer reference and should match your internal system's ID.
The first name of the customer
The last name of the customer
Customer email address
Customer birthday in YYYY-MM-DD format
Last 4 digits of SSN
Timezone of the customer (IANA timezone name, e.g., 'America/New_York', 'America/Los_Angeles')
Phone number of the customer
Street address line 1
Street address line 2 (optional)
City name
State code (e.g., NY, CA)
ZIP/postal code
Do not call the customer
Indicates if this is a test customer
Type of tasks created for the customer's automated call schedule
Additional custom metadata about the customer